	absoluteSector db 0x00
	absoluteHead   db 0x00
	absoluteTrack  db 0x00

ClusterLBA:
	sub ax, 0x0002
	xor cx, cx
	mov cl, BYTE [bpbSectorsPerCluster]
	mul cx
	add ax, WORD [datasector]
	ret

LBACHS:
	xor dx, dx
	div WORD [bpbSectorsPerTrack]
	inc dl
	mov BYTE [absoluteSector], dl
	xor dx, dx
	div WORD [bpbHeadsPerCylinder]
	mov BYTE [absoluteHead], dl
	mov BYTE [absoluteTrack], al
	ret

ReadSectors:
	mov di, 0x5
SectorLoop:
	push ax
	push bx
	push cx

	call LBACHS
	mov ah, 0x02
	mov al, 0x01
	mov ch, BYTE [absoluteTrack]
	mov cl, BYTE [absoluteSector]
	mov dh, BYTE [absoluteHead]
	mov dl, BYTE [bsDriveNumber]
	int 0x13
	jnc Success

	mov si, MessageLoading
	call print	

	xor ax, ax
	int 0x13
	dec di
	pop cx
	pop bx
	pop ax
	jnz ReadSectors
	int 0x18

Success:
	pop cx
	pop bx
	pop ax
	add bx, WORD [bpbBytesPerSector]
	inc ax
	loop SectorLoop
	ret

