//GZboot mini keyboard driver and keymap
//Made by gzaloprgm

unsigned char chrbuf = 0;

unsigned char table[] =
{
    0,  27, '1', '2', '3', '4', '5', '6', '7', '8', '9', '0', '-', '=', '\b',
  '\t', 'q', 'w', 'e', 'r', 't','y', 'u', 'i', 'o', 'p', '[', ']', '\n', 0,
  'a', 's', 'd', 'f', 'g', 'h', 'j', 'k', 'l', ';','\'', '`', 0, '\\', 'z', 
  'x', 'c', 'v', 'b', 'n','m', ',', '.', '/', 0,'*', 0,' ', 0, 0, 0, 0, 0, 0,
  0, 0, 1, 0, 0, 0, 0, 0, 254, 0, '-', 252, 0, 253, '+', 0, 255, 0, 0, 0, 0, 0, 0, 0,
  0, 0,
};

void kbd_handler(){
	unsigned char a = inportb(0x60);
	if(a<0x80){	
		chrbuf = table[a];
	}
}

void init_kbd(){
	register_interrupt_handler(33,kbd_handler);
}

unsigned char getch(){
	while(chrbuf == 0);
	unsigned char b2 = chrbuf;
	chrbuf = 0;
	return b2;
}
