//GZboot memory manager
//Made by JamesMolloy

unsigned int placement_address = 1024*1024*2;

unsigned int kmalloc_int(unsigned int sz, int align, unsigned int *phys){
	if(placement_address == 0) return;
	if (align == 1 && (placement_address % 0x1000 !=0) ){
		placement_address += 0x1000 - placement_address%0x1000;
	}
	if (phys){
        	*phys = placement_address;
    	}
	unsigned int tmp = placement_address;
	placement_address += sz;
	return tmp;
}

unsigned int kmalloc_a(unsigned int sz){
	return kmalloc_int(sz, 1, 0);
}

unsigned int kmalloc_p(unsigned int sz, unsigned int *phys){
	return kmalloc_int(sz, 0, phys);
}

unsigned int kmalloc_ap(unsigned int sz, unsigned int *phys){
	return kmalloc_int(sz, 1, phys);
}

unsigned int kmalloc(unsigned int sz){
	return kmalloc_int(sz, 0, 0);
}

