//GZboot init
//Made by gzaloprgm

extern floppy_timer();
unsigned char line[128];

void load_kernel(){
	cls();
	addtask(floppy_timer);
	mode13();
	showlogo();
	loadkernel();
}

void b_main(){
	cls();                                                  	
	init_gdt();
	init_idt();
	init_tasking();	
	init_timer(1000);
	init_kbd();
	asm volatile("sti");
	
	puts("F8 for advanced options, any other to boot\n");
	if(getch() == 1){
		cls();
		puts("Custom line options? ");
		unsigned int i=0;
		while(i<128){
			line[i] = getch();
			putch(line[i]);
			if(line[i] == '\n') break;	
			if(line[i] == '\b') line[i] = 0, i-=2;
			i++;
		}
		puts("Loading Kernel with: ");
		puts(line);
		puti(i,10);
		sleep(1000);
		load_kernel();
	}else{
		load_kernel();
	}
}

