//GZboot x86 port functions
//Made by gzaloprgm

unsigned char inportb (unsigned short port){
    	unsigned char result;
    	asm volatile ("inb %1, %0" : "=a" (result) : "dN" (port));
    	return result;
}
unsigned short inportw( unsigned short port ){
	unsigned short result;
	asm volatile ("inw %1, %0" : "=a" (result) : "dN" (port));
	return result;
}
unsigned int inportd( unsigned short port ){
	unsigned int result;
	asm volatile ("inl %1, %0" : "=a" (result) : "dN" (port));
	return result;
}
void outportb (unsigned short port, unsigned char data){
    	asm volatile ("outb %1, %0" : :"dN" (port), "a" (data));
}
void outportw( unsigned short port, unsigned short data ){
	asm volatile( "outw %1, %0" : :"dN"(port), "a"(data));
}
void outportd( unsigned short port, unsigned int data ){
	asm volatile( "outl %1, %0" : :"dN"(port), "a"(data));
}
